from django.shortcuts import render,render_to_response
from django.http import HttpResponse,HttpResponseRedirect
from tables import MyTable,djTable
from django.template.context import RequestContext
from django_tables2_reports.config import RequestConfigReport
from django_tables2.tables import RequestConfig
from django_tables2_reports.utils import create_report_http_response


data=[{"name":"John","state":"FL"},{"name":"Mike","state":"NY"}]
def setOhio(request):
    request.session["state"] = "OH"
    return HttpResponseRedirect("/")

def delOhio(request):
    request.session["state"]=""
    return HttpResponseRedirect("/")

def index(request):
    table=MyTable(data)
    table_to_report = RequestConfigReport(request).configure(table)
    if table_to_report:
        return create_report_http_response(table_to_report, request)
    return render_to_response('my_view.html',
                              {'table': table,},
                              context_instance = RequestContext(request))